Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Class LoaderRepositoryFactory.LoaderRepositoryConfig

    java.lang.Object
      org.jboss.mx.loading.LoaderRepositoryFactory.LoaderRepositoryConfig

All Implemented Interfaces:
  Serializable

Enclosing class:
  LoaderRepositoryFactory

public static class LoaderRepositoryFactory.LoaderRepositoryConfig
extends Object
implements Serializable

A class that represents the configuration of the a LoaderRepository. This defines the JMX ObjectName, the LoaderRepository implementation class, the repository config parser and a string representation of the repository config.

See Also:
  Serialized Form

Field Summary
`String` | `configParserClassName`
`String` | `repositoryClassName`
`String` | `repositoryConfig`
`ObjectName` | `repositoryName` The ObjectName of the loader repository for this deployment

Constructor Summary
`LoaderRepositoryFactory.LoaderRepositoryConfig()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### repositoryName

    public ObjectName repositoryName

  The ObjectName of the loader repository for this deployment

### repositoryClassName

    public String repositoryClassName

### configParserClassName

    public String configParserClassName

### repositoryConfig

    public String repositoryConfig

Constructor Detail

### LoaderRepositoryFactory.LoaderRepositoryConfig

    public LoaderRepositoryFactory.LoaderRepositoryConfig()

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.